Unassign a cash flow category from transactions
curl --request POST \
--url https://thirdparty.qonto.com/v2/cash_flow_categories/unassignments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"transaction_ids": [
"019259fb-8731-767a-b8fd-9206aa052e3d"
]
}
'import requests
url = "https://thirdparty.qonto.com/v2/cash_flow_categories/unassignments"
payload = { "transaction_ids": ["019259fb-8731-767a-b8fd-9206aa052e3d"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({transaction_ids: ['019259fb-8731-767a-b8fd-9206aa052e3d']})
};
fetch('https://thirdparty.qonto.com/v2/cash_flow_categories/unassignments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction_ids": [
"019259fb-8731-767a-b8fd-9206aa052e3d"
]
}Cash flow categories
Unassign a cash flow category from transactions
OAuth scope: cash_flow_category.write
Clears the cash flow category assigned to one or more transactions. This is a no-op for transactions that have no cash flow category assigned.
Up to 100 transactions can be unassigned in a single call.
POST
/
v2
/
cash_flow_categories
/
unassignments
Unassign a cash flow category from transactions
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Body
application/json
UUIDs of the transactions to clear. Up to 100 per call.
Response
Returns the transactions whose cash flow category was cleared.
UUIDs of the transactions that were cleared.
Was this page helpful?
⌘I